Supported browsers

Your computer needs to meet certain requirements to access our online accounts.

Minimum browser requirements

Using the latest internet browser helps improve your security.

There are myGov browser requirements to access your online account through myGov.

You will need one of the following versions at a minimum to use our online accounts:

  • Internet Explorer 9
  • Mozilla Firefox 30
  • Google Chrome 39
  • Safari 5 (Apple only)

Other browsers may work, but have not been tested and are not supported. Beta versions of browsers have not been tested and are not supported.

If you are using a mobile device you can access your online account using the Express Plus mobile apps.

Browser settings

Your browser must be set to allow cookies and JavaScript. Most browsers are supplied with cookies and JavaScript turned on and you should not need to change these settings. If you do need to turn cookies and JavaScript on, use your browser's help function to find out how.

Page last updated: 3 May 2016

This information was printed Monday 5 December 2016 from humanservices.gov.au/customer/enablers/supported-browsers It may not include all of the relevant information on this topic. Please consider any relevant site notices at humanservices.gov.au/siteinformation when using this material.